﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Dscf.CustomerCenter.Utils
{
    /// <summary>
    /// 文件生成方式
    /// </summary>
    public class UpFileMessage
    {
        /// <summary>
        /// 文件名
        /// </summary>
        public string OriginalFileName { get; set; }

        /// <summary>
        /// 是否保存略缩图
        /// </summary>
        public bool IsImage { get; set; }

        /// <summary>
        /// 文件流
        /// </summary>
        public Stream FileStream { get; set; }

        /// <summary>
        /// 生成缩略图的方式
        /// [WH]-指定宽高
        /// [H]-指定高，按比例缩放宽
        /// [W]-指定宽，按比例缩放高
        /// </summary>
        public string Mode { get; set; }

        /// <summary>
        /// 略缩图高度
        /// </summary>
        public int? ThumbHeight { get; set; }

        /// <summary>
        /// 略缩图宽度
        /// </summary>
        public int? ThumbWidth { get; set; }

    }
}
