﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Dscf.CustomerCenter.Utils
{
    /// <summary>
    /// 文件上传返回结果
    /// </summary>
    public class UpFileResultMessage
    {
        /// <summary>
        /// 文件保存是否成功
        /// </summary>
        public bool IsSuccess { get; set; }

        /// <summary>
        /// 错误消息
        /// </summary>
        public string Message { get; set; }

        /// <summary>
        /// 原始文件名-（无扩展名）
        /// </summary>
        public string FileName { get; set; }

        /// <summary>
        /// 文件名扩展名
        /// </summary>
        public string FileSuffix { get; set; }

        /// <summary>
        /// 文件名保存路径
        /// </summary>
        public string FilePath { get; set; }

        /// <summary>
        /// 文件类型为图片时
        /// 缩略图保存路径
        /// </summary>
        public string ThumbPath { get; set; }

        /// <summary>
        /// 保存文件名（无扩展名）
        /// </summary>
        public string SaveFileName { get; set; }

        /// <summary>
        /// 文件自增ID
        /// </summary>
        public int[] FileIdArray { get; set; }
    }
}
